<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="css/stylemin.css">
  <link rel="stylesheet" href="css/color.css">
  <title> Pizza 365 v0.5</title>
</head>

<body>
  <!-- Menu -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">HOME</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#combo">SIZE COMBOS</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#type">PIZZA TYPES</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#contact">FORM CONTACT</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 70px 0px 50px 0px">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b class="text-main">Pizza 365</b></h1>
            <p style="font-style: italic" class="text-second">Truly italian!</p>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_2.jpg" alt="Second slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Fourth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Fifth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_6.jpg" alt="Fifth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_7.jpg" alt="Fifth slide" />
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title ưu điểm của Quán -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content ưu điểm của Quán -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-3 bg-brand-01 text-white border">
                <h3 class="p-2">Không ngừng cải tiến</h3>
                <p class="p-2">Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn là yếu tố tiên quyết trong
                  chiến lược kinh doanh của chúng tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza hàng đầu.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-02 text-white border">
                <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                <p class="p-2">Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của mọi nhà, mọi lúc, mọi nơi.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-03 text-white border">
                <h3 class="p-2">Hướng đến sự vượt trội</h3>
                <p class="p-2">"Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá trị này là cốt lõi trong mỗi
                  con người của chúng tôi, trong mỗi công việc mà họ làm.</p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-04 text-white border">
                <h3 class="p-2">Thể hiện đam mê</h3>
                <p class="p-2">Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều chỉnh tùy theo thử thách để tìm
                  ra giải pháp.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="combo" class="row">
          <!-- Title Size Combos -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
          </div>
          <!-- Content các Size Combos -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>S ( Small size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 20 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>2</b></li>
                      <li class="list-group-item">Salad <b>200 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>2</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>150,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-small" data-is-selected="N" onclick="onBtnSmallClick()">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>M (Medium size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 25 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>4</b></li>
                      <li class="list-group-item">Salad <b> 300 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>3</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>200,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-medium" data-is-selected="N" onclick="onBtnMediumClick()">
                      Chọn </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>L ( Large size )</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 30 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>8</b></li>
                      <li class="list-group-item">Salad <b> 500 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>4</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>250,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn-green" id="btn-size-large" data-is-selected="N" onclick="onBtnLargeClick()"> Chọn
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="type" class="row">
          <!-- Title Pizza Type -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
          </div>

          <!-- Content Pizza Type -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hawai.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Hawai</h3>
                    <p>Món ăn thanh đạm</p>
                    <p>
                      Hãy thưởng thức món ăn với phong cách Alo Ha đến từ
                      Hawai.
                    </p>
                    <p>
                      <button class="btn-green" id="btn-type-hawai" data-is-selected="N" onclick="onBtnHaiwaiClick()">
                        Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hai_san.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Hải sản</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>
                      Bạn đã thử pizza được chế biến từ nguyên liệu hải sản chưa ?
                    </p>
                    <p>
                      <button class="btn-green" id="btn-type-hai-san" data-is-selected="N" onclick="onBtnHaiSanClick()">
                        Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_thit_nuong.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Bacon</h3>
                    <p>Món ăn đăc biệt</p>
                    <p>
                      Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.
                    </p>
                    <p>
                      <button class="btn-green" id="btn-type-bacon" data-is-selected="N" onclick="onBtnBaconClick()">
                        Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="contact" class="row">
          <!-- Title Form Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
          </div>

          <!-- Content Form Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="input-name">Họ và tên</label>
                  <input type="text" class="form-control" id="input-name" placeholder="Họ và tên" />
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="input-email" placeholder="Email" />
                </div>
                <div class="form-group">
                  <label for="input-phone">Điện thoại</label>
                  <input type="text" class="form-control" id="input-phone" placeholder="Điện thoại" />
                </div>
                <div class="form-group">
                  <label for="input-address">Địa chỉ</label>
                  <input type="text" class="form-control" id="input-address" placeholder="Địa chỉ" />
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="input-message" placeholder="Lời nhắn" />
                </div>
                <div class="form-group">
                  <label for="discount">Mã giảm giá (Voucher ID)</label>
                  <input type="text" class="form-control" id="input-discount" placeholder="Mã voucher..." />
                </div>
                <button type="button" class="btn-green" onclick="onBtnCheckOrder()"> Kiểm tra đơn </button>

              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-order-infor" class="text-white p-3">thông tin đơn hàng vào đây</div>
            <div class="p-2">
              <button type="button" class="btn-yellow" onclick="onBtnSendClick()"> Gửi đơn </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-3">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn bg-main-brand text-white m-3"><i class="fa fa-arrow-up mr-2"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official text-main"></i>
          <i class="fa fa-instagram text-main"></i>
          <i class="fa fa-snapchat text-main"></i>
          <i class="fa fa-pinterest-p text-main "></i>
          <i class="fa fa-twitter text-main"></i>
          <i class="fa fa-linkedin text-main"></i>
        </div>
      </div>
    </div>
  </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  // Mảng danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID: "10345", percentDiscount: 20 }, // mã giảm giá là 10345, phần trăm giảm giá 20%
    { voucherID: "11346", percentDiscount: 10 },
    { voucherID: "20445", percentDiscount: 5 },
    { voucherID: "21457", percentDiscount: 30 },
    { voucherID: "32154", percentDiscount: 20 },
    { voucherID: "30546", percentDiscount: 25 },
    { voucherID: "41351", percentDiscount: 15 },
    { voucherID: "53360", percentDiscount: 5 },
    { voucherID: "65343", percentDiscount: 30 },
    { voucherID: "78328", percentDiscount: 40 },
  ];

  //khai báo biến Size Combo dùng chung
  const gSIZE_SMALL = "small";
  const gSIZE_MEDIUM = "medium";
  const gSIZE_LARGE = "large";

  //khai báo biến Loại Pizza dùng chung
  const gHAWAI = "hawai";
  const gHAISAN = "haisan";
  const gBACON = "bacon";

  

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */


  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  //hàm bấm nút chọn size small
  function onBtnSmallClick() {
    changeColorSizeCombo(gSIZE_SMALL);
    var vSelectedSizeComboStructure = getSizeComboObj("S", "20cm", 2, "200gr", 2, 150000);
    vSelectedSizeComboStructure.displaySizeComboInfo();

  }

  //hàm bấm nút chọn size medium
  function onBtnMediumClick() {
    changeColorSizeCombo(gSIZE_MEDIUM);
    var vSelectedSizeComboStructure = getSizeComboObj("M", "25cm", 4, "300gr", 3, 200000);
    vSelectedSizeComboStructure.displaySizeComboInfo();
  }

  //hàm bấm nút chọn size large
  function onBtnLargeClick() {
    changeColorSizeCombo(gSIZE_LARGE);
    var vSelectedSizeComboStructure = getSizeComboObj("L", "30cm", 8, "500gr", 4, 250000);
    vSelectedSizeComboStructure.displaySizeComboInfo();
  }

  //hàm bấm nút chọn loại Pizza Hawai
  function onBtnHaiwaiClick() {
    changeColorLoaiPizza(gHAWAI);
    var vTypeSelectedStructure = getTypePizzaObj("Hawai");
    vTypeSelectedStructure.displayLoaiPizza();
  }

  //hàm bấm nút chọn loại Pizza Hải Sản
  function onBtnHaiSanClick() {
    changeColorLoaiPizza(gHAISAN);
    var vTypeSelectedStructure = getTypePizzaObj("Hải Sản");
    vTypeSelectedStructure.displayLoaiPizza();
  }

  //Hàm bấm nút chọn loại Pizza Bacon
  function onBtnBaconClick() {
    changeColorLoaiPizza(gBACON);
    var vTypeSelectedStructure = getTypePizzaObj("Bacon");
    vTypeSelectedStructure.displayLoaiPizza();
  }

  //hàm bấm nút kiểm tra đơn
  function onBtnCheckOrder() {
    var vOrderObj = {
      sizecombo: null,
      loaipizza: null,
      hovanten: "",
      email: "",
      dienthoai: "",
      diachi: "",
      loinhan: "",
      voucher: "",
      phantramgiamgia: 100,

      priceAnnualVND() {
        if (this.phantramgiamgia == 100) {
          return this.sizecombo.giatien;
        } else {
          return this.sizecombo.giatien - (this.sizecombo.giatien * this.phantramgiamgia / 100);
        }
      }
    }

    //b1 : thu thập dữ liệu
    thuThapDuLieuDonHang(vOrderObj);

    //b2 : kiểm tra dữ liệu đầu vào
    var vDuLieuHopLe = kiemTraDuLieuDonHang(vOrderObj);
    if (vDuLieuHopLe) {
      //b3 : hiển thị lên trang web
      hienThiDonHang(vOrderObj);
    }
  }


  //hàm bấm nút gửi đơn
  
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  //hàm lưu giá trị size combo
  //trả lại đối tượng (size combo) đã được tham chiếu
  function getSizeComboObj(paramSize, paramDuongKinh, paramSuon, paramSalad, paramNuocNgot, paramGiaTien) {
    var vSizeComboStructure = { //đối tượng size combo
      kichco: paramSize,
      duongkinh: paramDuongKinh,
      suonnuong: paramSuon,
      salad: paramSalad,
      nuocngot: paramNuocNgot,
      giatien: paramGiaTien,

      displaySizeComboInfo() {
        console.log("Đường kính: " + this.duongkinh);
        console.log("Sườn nướng: " + this.suonnuong);
        console.log("Salad: " + this.salad);
        console.log("nước ngọt: " + this.nuocngot);
        console.log("giá tiền: " + this.giatien);
      }
    }
    return vSizeComboStructure;
  }


  //hàm lưu giá trị loại pizza
  function getTypePizzaObj(paramLoaiPizza) {
    var TypePizzaStructure = {
      loaipizza: paramLoaiPizza,

      displayLoaiPizza() {
        console.log("Loại Pizza đã chọn: " + this.loaipizza);
      }
    }
    return TypePizzaStructure;
  }

  //hàm đổi màu nút khi bấm chọn size combo
  function changeColorSizeCombo(paramSize) {
    var vBtnSmall = document.getElementById("btn-size-small");
    var vBtnMedium = document.getElementById("btn-size-medium");
    var vBtnLarge = document.getElementById("btn-size-large");

    if (paramSize == gSIZE_SMALL) {
      vBtnSmall.className = "btn-yellow";
      vBtnMedium.className = "btn-green";
      vBtnLarge.className = "btn-green";

      vBtnSmall.setAttribute("data-is-selected", "Y");
      vBtnMedium.setAttribute("data-is-selected", "N");
      vBtnLarge.setAttribute("data-is-selected", "N");
    }

    if (paramSize == gSIZE_MEDIUM) {
      vBtnSmall.className = "btn-green";
      vBtnMedium.className = "btn-yellow";
      vBtnLarge.className = "btn-green";

      vBtnSmall.setAttribute("data-is-selected", "N");
      vBtnMedium.setAttribute("data-is-selected", "Y");
      vBtnLarge.setAttribute("data-is-selected", "N");
    }

    if (paramSize == gSIZE_LARGE) {
      vBtnSmall.className = "btn-green";
      vBtnMedium.className = "btn-green";
      vBtnLarge.className = "btn-yellow";

      vBtnSmall.setAttribute("data-is-selected", "N");
      vBtnMedium.setAttribute("data-is-selected", "N");
      vBtnLarge.setAttribute("data-is-selected", "Y");
    }

  }

  //hàm đổi màu nút khi chọn loại pizza
  function changeColorLoaiPizza(paramLoaiPizza) {
    var vBtnHawai = document.getElementById("btn-type-hawai");
    var vBtnHaiSan = document.getElementById("btn-type-hai-san");
    var vBtnBacon = document.getElementById("btn-type-bacon");

    //khi bấm nút chọn hawai
    if (paramLoaiPizza == gHAWAI) {
      vBtnHawai.className = "btn-yellow";
      vBtnHaiSan.className = "btn-green";
      vBtnBacon.className = "btn-green";

      vBtnHawai.setAttribute("data-is-selected", "Y");
      vBtnHaiSan.setAttribute("data-is-selected", "N");
      vBtnBacon.setAttribute("data-is-selected", "N");
    }

    //khi bấm nút chọn hải sản
    if (paramLoaiPizza == gHAISAN) {
      vBtnHawai.className = "btn-green";
      vBtnHaiSan.className = "btn-yellow";
      vBtnBacon.className = "btn-green";

      vBtnHawai.setAttribute("data-is-selected", "N");
      vBtnHaiSan.setAttribute("data-is-selected", "Y");
      vBtnBacon.setAttribute("data-is-selected", "N");
    }

    //khi bấm nút chọn bacon
    if (paramLoaiPizza == gBACON) {
      vBtnHawai.className = "btn-green";
      vBtnHaiSan.className = "btn-green";
      vBtnBacon.className = "btn-yellow";

      vBtnHawai.setAttribute("data-is-selected", "N");
      vBtnHaiSan.setAttribute("data-is-selected", "N");
      vBtnBacon.setAttribute("data-is-selected", "Y");
    }
  }

  //thu thập dữ liệu
  function thuThapDuLieuDonHang(paramOrderObj) {

    //truy xuất giá trị điền vào
    var vInputName = document.getElementById("input-name");
    var vInPutEmail = document.getElementById("input-email");
    var vInputPhone = document.getElementById("input-phone");
    var vInputAddress = document.getElementById("input-address");
    var vInputMessage = document.getElementById("input-message");
    var vInputVoucher = document.getElementById("input-discount");

    //truy xuất nút bấm chọn size
    var vBtnSmall = document.getElementById("btn-size-small");
    var vBtnMedium = document.getElementById("btn-size-medium");
    var vBtnLarge = document.getElementById("btn-size-large");

    //truy xuất nút bấm chọn loại
    var vBtnHawai = document.getElementById("btn-type-hawai");
    var vBtnHaiSan = document.getElementById("btn-type-hai-san");
    var vBtnBacon = document.getElementById("btn-type-bacon");

    //truy xuất lấy giá trị size đã chọn data is lelected
    var vSmallDaChon = vBtnSmall.getAttribute("data-is-selected");
    var vMediumDaChon = vBtnMedium.getAttribute("data-is-selected");
    var vLargeDaChon = vBtnLarge.getAttribute("data-is-selected");

    //truy xuất lấy giá trị loại pizza đã chọn
    var vHawaiDaChon = vBtnHawai.getAttribute("data-is-selected");
    var vHaiSanDaChon = vBtnHaiSan.getAttribute("data-is-selected");
    var vBaconDaChon = vBtnBacon.getAttribute("data-is-selected");

    //lưu giá trị vào Obj truyền vào
    paramOrderObj.hovanten = vInputName.value.trim();
    paramOrderObj.email = vInPutEmail.value.trim();
    paramOrderObj.dienthoai = vInputPhone.value.trim();
    paramOrderObj.diachi = vInputAddress.value.trim();
    paramOrderObj.loinhan = vInputMessage.value.trim();
    paramOrderObj.voucher = vInputVoucher.value.trim();

    //lưu giá trị vào đối tượng con size combo trong đối tượng cha orderObj
    if (vSmallDaChon == "Y") {
      paramOrderObj.sizecombo = getSizeComboObj("S", "20cm", 2, "200gr", 2, 150000);
    }
    if (vMediumDaChon == "Y") {
      paramOrderObj.sizecombo = getSizeComboObj("M", "25cm", 4, "300gr", 3, 200000);
    }
    if (vLargeDaChon == "Y") {
      paramOrderObj.sizecombo = getSizeComboObj("L", "30cm", 8, "500gr", 4, 250000);
    }

    //lưu giá trị vào đối tượng con loại pizza trong đối tượng cha orderObj
    if (vHawaiDaChon == "Y") {
      paramOrderObj.loaipizza = getTypePizzaObj("Hawai");
    }
    if (vHaiSanDaChon == "Y") {
      paramOrderObj.loaipizza = getTypePizzaObj("Hải sản");
    }
    if (vBaconDaChon == "Y") {
      paramOrderObj.loaipizza = getTypePizzaObj("Bacon");
    }
  }

  //hàm kiểm tra email
  function validateEmail(paramEmail) {

    var vValidRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    if (paramEmail.match(vValidRegex)) {
      return true;
    } else {
      return false;
    }
  }

  //hàm kiểm tra số điện thoại
  function kiemTraPhoneNumber(paramPhoneNumber) {
    // kiểm tra điều kiện phải nhập vào là số
    if (isNaN(paramPhoneNumber)) {
      alert("Số điện thoại nhập vào phải là số");
      return false;
    }

    // kiểm tra điều kiện có dấu + hoặc số 0 ở đầu
    if (paramPhoneNumber.charAt(0) != "0" && paramPhoneNumber.charAt(0) != "+") {
      alert("Số điện thoại phải có số 0 hoặc dấu + ở đầu");
      return false;
    }

    // kiểm tra điều kiện từ 10 đến 12 ký tự
    if (paramPhoneNumber.length < 10 || paramPhoneNumber.length > 12) {
      alert("Số điện thoại phải từ 10 đến 12 ký tự");
      return false;
    }

    // nếu thỏa mãn tất cả thì return true
    return true;
  }

  //hàm kiểm tra dữ liệu
  //nếu TẤT CẢ dữ liệu hợp lệ, return true
  //ngược lại, CHỈ MỘT dữ liệu không hợp lệ, return false
  function kiemTraDuLieuDonHang(paramOrderObj) {

    if (paramOrderObj.sizecombo == null) {
      alert("vui lòng chọn size pizza");
      return false;
    }

    if (paramOrderObj.loaipizza == null) {
      alert("vui lòng chọn loại pizza");
      return false;
    }

    if (paramOrderObj.hovanten == "") {
      alert("vui lòng nhập họ và tên");
      return false;
    }

    if (!validateEmail(paramOrderObj.email)) {
      alert("email không đúng định dạng");
      return false;
    }

    if (kiemTraPhoneNumber(paramOrderObj.dienthoai) == false) {
      return false;
    }

    if (paramOrderObj.diachi == "") {
      alert("vui lòng nhập địa chỉ");
      return false;
    }


    kiemTraVoucher(paramOrderObj);
    if (paramOrderObj.voucher != "") {
      if (paramOrderObj.phantramgiamgia == 100) {
        alert("mã voucher không tồn tại");
      }
    }


    return true;

  }

  function hienThiDonHang(paramOrderObj) {
    //truy xuất thẻ 2 thẻ div để hiển thị - lúc đầu đang bị ẩn
    var vDivContainer = document.getElementById("div-container-order");
    var vDivContent = document.getElementById("div-order-infor");

    vDivContainer.style.display = "block";
    vDivContent.innerHTML = "Họ và tên: " + paramOrderObj.hovanten + "<br>";
    vDivContent.innerHTML += "Email: " + paramOrderObj.email + "<br>";
    vDivContent.innerHTML += "Số điện thoại: " + paramOrderObj.dienthoai + "<br>";
    vDivContent.innerHTML += "Địa Chỉ: " + paramOrderObj.diachi + "<br>";
    vDivContent.innerHTML += "Lời nhắn: " + paramOrderObj.loinhan + "<br>" + "-----------"+ "<br>";

    vDivContent.innerHTML += "Kích cỡ: " + paramOrderObj.sizecombo.kichco + "<br>";
    vDivContent.innerHTML += "Đường kính: " + paramOrderObj.sizecombo.duongkinh + "<br>";
    vDivContent.innerHTML += "Sườn nướng: " + paramOrderObj.sizecombo.suonnuong + "<br>";
    vDivContent.innerHTML += "Salad: " + paramOrderObj.sizecombo.salad + "<br>";
    vDivContent.innerHTML += "Nước ngọt: " + paramOrderObj.sizecombo.nuocngot + "<br>" + "-----------"+ "<br>";

    vDivContent.innerHTML += "Loại Pizza: " + paramOrderObj.loaipizza.loaipizza + "<br>";
    vDivContent.innerHTML += "Giá VND: " + paramOrderObj.sizecombo.giatien + "<br>";
    if (paramOrderObj.phantramgiamgia != 100) {
      vDivContent.innerHTML += "Mã Voucher: " + paramOrderObj.voucher + "<br>";
      vDivContent.innerHTML += "Giảm giá %: " + paramOrderObj.phantramgiamgia + "<br>";
    }
    vDivContent.innerHTML += "Phải thanh toán VND: " + paramOrderObj.priceAnnualVND() + "<br>";
  }

  //hàm kiểm tra vã voucher
  //input : orderObj
  //output : đối tượng voucher tìm thấy
  function kiemTraVoucher(paramOrderObj) {
    var vIndex = 0;
    var vTimThay = false;
    
    while (vTimThay == false && vIndex < gDiscountVouchers.length) {
      if (paramOrderObj.voucher == gDiscountVouchers[vIndex].voucherID) {
        paramOrderObj.phantramgiamgia = gDiscountVouchers[vIndex].percentDiscount;
        vTimThay = true;
      } else {
        vIndex++;
      }
    }
    return paramOrderObj;
  }

</script>

</html>